## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMSupportException Class Reference

`#include <DOMSupportException.hpp>`

Inheritance diagram for DOMSupportException

Collaboration diagram for DOMSupportException:

List of all members.

## Public Methods

- DOMSupportException (const XalanDOMString& message)
    Constructor for an exception arising from DOMSupport classes. More...
- virtual ~DOMSupportException ()

## Constructor & Destructor Documentation

DOMSupportException::DOMSupportException ( | const XalanDOMString & message )`[explicit]`

Constructor for an exception arising from DOMSupport classes.

Parameters:

  message | error message

virtual DOMSupportException::~DOMSupportException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- DOMSupportException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.